/////////////////////////////////////////////////////////////////////////
//JetDraft Software Free Panel
//Copyright (C) 2008  Maksim Timchenko

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see http://www.gnu.org/licenses/.

// FreePanelView.cpp : implementation of the CFreePanelView class
/////////////////////////////////////////////////////////////////////////

// PlatformChild.h : interface of the CFreePanelChild class
//
#pragma once
class CFreePanelChild : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CFreePanelChild)
public:
	CFreePanelChild();

	//   
protected:
	friend class CMainFrame;
	CMainFrame *m_pMainFrame;

	// Attributes
public:
	int v_tool_bar;
	int n_size_x;
	int n_size_y;

	int n_save;
	UINT n_wnd_type;
	int n_wnd_lst_x;
	int n_wnd_lst_y;

private:
	HICON m_hChildFrameIcon;

	// Operations
public:

	// Overrides
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

	// Implementation
public:
	virtual ~CFreePanelChild();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	CToolBar m_wndPlatformToolbar;

public:
	
private:
	CString m_sProfileName;

	// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual void ActivateFrame(int nCmdShow = -1);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
};
