/////////////////////////////////////////////////////////////////////////
//JetDraft Software Free Panel
//Copyright (C) 2008  Maksim Timchenko

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see http://www.gnu.org/licenses/.

// FreePanelView.cpp : implementation of the CFreePanelView class
/////////////////////////////////////////////////////////////////////////

// FreePanelDoc.cpp : implementation of the CFreePanelDoc class
//

#include "stdafx.h"
#include "FreePanel.h"
#include "FreePanelDoc.h"
#include "FreePanelView.h"
#include "ChildFrm.h"
#include ".\freepaneldoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CFreePanelDoc

IMPLEMENT_DYNCREATE(CFreePanelDoc, CDocument)

BEGIN_MESSAGE_MAP(CFreePanelDoc, CDocument)
END_MESSAGE_MAP()


// CFreePanelDoc construction/destruction

CFreePanelDoc::CFreePanelDoc()
{
	// TODO: add one-time construction code here

}

CFreePanelDoc::~CFreePanelDoc()
{
}

BOOL CFreePanelDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	return TRUE;
}


// CFreePanelDoc serialization

void CFreePanelDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// CFreePanelDoc diagnostics

#ifdef _DEBUG
void CFreePanelDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CFreePanelDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CFreePanelDoc commands

void CFreePanelDoc::OnCloseDocument()
{
	POSITION pos = GetFirstViewPosition();
	while (pos != NULL)
	{
		CFreePanelView* view = ((CFreePanelView*)this->GetNextView(pos));
		if(view && view->bChangeMk){
			view->DestroyPlView();
		} else {
			CDocument::OnCloseDocument();
		}
	}
	if(pos == NULL){
		CDocument::OnCloseDocument();
	}
}
BOOL CFreePanelDoc::OnOpenDocument(LPCTSTR lpszPathName)
{
	if (!CDocument::OnOpenDocument(lpszPathName))
		return FALSE;

	POSITION pos = GetFirstViewPosition();
	while (pos != NULL)
	{
		CFreePanelView* view = ((CFreePanelView*)this->GetNextView(pos));
		if(view){
			view->LoadFile(lpszPathName);
		} 
	}

	return TRUE;
}
