/////////////////////////////////////////////////////////////////////////
//JetDraft Software Free Panel
//Copyright (C) 2008  Maksim Timchenko

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see http://www.gnu.org/licenses/.

// FreePanelView.cpp : implementation of the CFreePanelView class
/////////////////////////////////////////////////////////////////////////

// MainFrm.h : interface of the CMainFrame class
//

#include "ChildFrm.h"
#include "FreePanelDoc.h"
#include "FreePanelView.h"

#pragma once
class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	DECLARE_MESSAGE_MAP()

public:
	BOOL ShowFileDialog(BOOL bOpenFileDialog, LPCTSTR lpszDefExt, LPCTSTR lpszFilter, CString* lpFileName);
	BOOL GetFileList(int n_RunType, CString sPath, CString sDirExt, CSimpleArray<CString> &sList);
	BOOL GetXmlFileList(int n_RunType, CString sRootDir, CString sListName);
	int CheckDirectory(int n_RunType, CString s_WkDir);
	int CheckFileName(int n_RunType, CString s_TmpDir, CString s_FileName);
	CString GetFileTypeCode(int n_RunType, CString sFileName);
	CString GetShortName(int n_RunType, LPCTSTR lpszName);
	CString GetSelfPath(void);
};